package com.yutou.Data;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.yutou.utlis.Log;

import java.util.ArrayList;
import java.util.List;

public class Ship {
    private int level;
    private String title;
    private int shipCid;
    private int type;
    private List<String> equipment;

    public int getLevel() {

        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getShipCid() {
        return shipCid;
    }

    public void setShipCid(int shipCid) {
        this.shipCid = shipCid;
    }

    public List<String> getEquipment() {
        return equipment;
    }

    public void setEquipment(List<String> equipment) {
        this.equipment = equipment;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
    public static Ship getInstance(JSONObject json){
        try {
            Ship ship=new Ship();
            ship.setLevel(json.getInteger("level"));
            ship.setShipCid(json.getInteger("shipCid"));
            ship.setTitle(json.getString("title"));
            ship.setType(json.getInteger("type"));
            List<String> equipment=new ArrayList<>();
            JSONArray equip=json.getJSONArray("equipment");
            for (int i = 0; i < equip.size(); i++) {
                try{
                    equipment.add(equip.getInteger(i)+"");
                }catch (Exception e){
                    equipment.add(equip.getString(i));
                }
            }
            ship.setEquipment(equipment);
            return ship;
        }catch (Exception e){
            e.printStackTrace();
            Log.i(json.toString());
            System.exit(0);
        }
      return null;
    }
}
