package com.yutou.controller.android;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

import com.yutou.mybatis.User;
import com.yutou.services.PlugsService;
import com.yutou.services.UserService;
import com.yutou.utlis.RedisUtlis;
import com.yutou.utlis.Tools;

@Controller
@RequestMapping("android/plugs/")
public class PlugController {
	@Resource
	PlugsService plugService;
	@Resource
	UserService user;
	private static final String LOGINSTATE = "loginState";

	@ModelAttribute
	public void test(HttpServletRequest request, String token, String uid) {
		if (RedisUtlis.exists(token, uid)) {
			request.setAttribute(LOGINSTATE, true);
		} else {
			request.setAttribute(LOGINSTATE, false);
		}
		int _uid = 0;
		if (!Tools.StringIsEmpty(uid)) {
			try {
				_uid = Integer.valueOf(uid);
			} catch (Exception e) {
				// TODO: handle exception
			}
		}
		User u=user.getUser(_uid);
		request.setAttribute("uid", uid);
		if(u!=null)
		request.setAttribute("upower", u.getPower());
		else
			request.setAttribute("upower", 0);
		request.setAttribute("token", token);
		u=null;
	}
}
