package com.yutou.jianrdb.Mapper;

import com.alibaba.fastjson.JSONArray;
import com.yutou.jianrdb.Bean.GameInfoLog;
import com.yutou.jianrdb.Bean.MapNode;
import com.yutou.jianrdb.Dao.MapNodeDao;
import com.yutou.maptop.Bean.UserTeam;
import com.yutou.mybatis.ZsShipType;
import com.yutou.utlis.RedisUtlis;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class MapNodeService {
    @Resource
    MapNodeDao dao;

    public MapNode selectNodeByNode(int node) {
        return dao.selectNodeByNode(node);
    }

    public List<String> selectMapName() {
        return dao.selectMapName();
    }

    public List<String> selectNodeName(String level_name) {
        return dao.selectNodeName(level_name);
    }

    public List<MapNode> selectMapByNode(String chapterName, String levelName) {
        return dao.selectMapByNode(chapterName, levelName);
    }
    public List<GameInfoLog> selectNodeByMid(int nodeId, int limit, int count) {
        String tmp=RedisUtlis.get(nodeId+"");
        List<GameInfoLog> list;

        if(tmp==null){
            list=dao.selectNodeByMid("%"+nodeId+"%", limit, count);
            tmp=JSONArray.toJSONString(list);
            RedisUtlis.set(nodeId+"",tmp,-1);
        }else{
            list= JSONArray.parseArray(tmp,GameInfoLog.class);
            new Thread(new Runnable() {
                @Override
                public void run() {
                    List<GameInfoLog> tmpList=dao.selectNodeByMid("%"+nodeId+"%", limit, count);
                    String tmp=JSONArray.toJSONString(tmpList);
                    RedisUtlis.set(nodeId+"",tmp,-1);
                }
            }).start();
        }
        return list;
    }

    public List<ZsShipType> selectAllShipType(){
        return dao.selectAllShipType();
    }

}
