package com.yutou.services;

import java.util.List;

import org.json.JSONObject;

import com.yutou.mybatis.TMod;
import com.yutou.mybatis.UUserGameData;
import com.yutou.mybatis.UUserdata;
import com.yutou.mybatis.User;

public interface UserService {
	int login(String uname, String pass);
	int reg(String uname, String name, String pass);
	int userPower(int id);
	int getUserId(String uname);
	User getUser(int id);
	List<User> searchUser(String type, String key);
	UUserdata getUUserData(int id);
	JSONObject getUserData(int id);
	int updateUserData(UUserdata udata);
	int updateUser(User user);
	List<User> getUserList(int min, int max);
	
	int addModCollect(int uid, int mid);
	List<TMod> userCollectMod(int min, int max, int uid);
	int removeCollectMod(int mid);
	
	void addGameData(UUserGameData gameData);
	void updateGameData(UUserGameData gameData);
	List<UUserGameData> getGameData(int uid);
	UUserGameData findGameData(int uid, String fileName);
}
