package com.yutou.services.impl;

import com.yutou.mybatis.MAppHomeConfig;
import com.yutou.mybatis.MBanner;
import com.yutou.mybatis.dao.MAppHomeConfigMapper;
import com.yutou.mybatis.dao.MBannerMapper;
import com.yutou.services.MagicBoxService;
import com.yutou.utlis.Tools;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

@Service("magicBoxService")
public class MagicBoxServiceImpl implements MagicBoxService {
    @Resource
    MAppHomeConfigMapper appHomeConfigMapper;
    @Resource
    MBannerMapper bannerMapper;
    @Override
    public int setActivityTime(String title, String url, Date start, Date end) {
        MAppHomeConfig config=new MAppHomeConfig();
        config.setName(title);
        config.setUrl(url);
        config.setStartdate(start);
        config.setEnddate(end);
        config.setState(1);
        config.setId(1);
        return  appHomeConfigMapper.updateByPrimaryKey(config);
    }

    @Override
    public int setBanner(int id, String url, String click, int state) {
        MBanner banner=new MBanner();
        banner.setId(id);
        if(!Tools.StringIsEmpty(url))
        banner.setUrl(url);
        if(!Tools.StringIsEmpty(click))
        banner.setClick(click);
        if(state!=-999)
        banner.setIsshow(state);
        return bannerMapper.updateByPrimaryKey(banner);
    }
}
