package com.yutou.controller.Web;

import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.alibaba.fastjson.JSON;
import com.yutou.mybatis.TGameVersion;
import com.yutou.mybatis.TGameVersionExample;
import com.yutou.mybatis.TModfilePath;
import com.yutou.mybatis.TModfilePathExample;
import com.yutou.mybatis.TModtype;
import com.yutou.mybatis.TModtypeExample;
import com.yutou.mybatis.ZsShipType;
import com.yutou.mybatis.ZsShipTypeExample;
import com.yutou.mybatis.dao.TGameVersionMapper;
import com.yutou.mybatis.dao.TModfilePathMapper;
import com.yutou.mybatis.dao.TModtypeMapper;
import com.yutou.mybatis.dao.ZsShipTypeMapper;

@Controller
public class WebJianDataController {
	@Resource
	ZsShipTypeMapper shipTypeMapper;
	@Resource
	TModtypeMapper modTypeMapper;
	@Resource
	TModfilePathMapper modPathMapper;
	@Resource
	TGameVersionMapper gameVersionMapper;
	
	@RequestMapping("/mod/jiantype.do")
	@ResponseBody
	public String getJianType() {
		JSONArray data=new JSONArray();
		List<ZsShipType> list=shipTypeMapper.selectByExample(new ZsShipTypeExample());
		for (int i = 0; i < list.size(); i++) {
			data.put(JSON.toJSONString(list.get(i)));
		}
		return data.toString();
	}
	@RequestMapping("/mod/modtype.do")
	@ResponseBody
	public String getModType() {
		JSONArray data=new JSONArray();
		List<TModtype> list=modTypeMapper.selectByExample(new TModtypeExample());
		for (int i = 0; i < list.size(); i++) {
			data.put(JSON.toJSONString(list.get(i)));
		}
		return data.toString();
	}
	@RequestMapping("/mod/installPath.do")
	@ResponseBody
	public String getInstallPath() {
		JSONArray data=new JSONArray();
		List<TModfilePath> list=modPathMapper.selectByExample(new TModfilePathExample());
		for (int i = 0; i < list.size(); i++) {
			data.put(JSON.toJSONString(list.get(i)));
		}
		return data.toString();
	}
	@RequestMapping("/mod/getGameVerList.do")
	@ResponseBody
	public String getGameVersion(HttpServletRequest request) {
		JSONArray array=new JSONArray();
		List<TGameVersion> list=gameVersionMapper.selectByExample(new TGameVersionExample());
		for (TGameVersion gameVersion : list) {
			JSONObject json=new JSONObject(JSON.toJSONString(gameVersion));
			array.put(json);
		}
		return array.toString();
	}
	
}
