package com.yutou.controller.android;

import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.json.JSONObject;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.alibaba.fastjson.JSON;
import com.yutou.enums.ModEnum;
import com.yutou.mybatis.MBanner;
import com.yutou.services.MBannerService;
import com.yutou.utlis.Tools;

@Controller
@RequestMapping("android/banner")
public class BannerController {
	@Resource
	MBannerService bannerService;
	
	@RequestMapping("/get.do")
	@ResponseBody
	public String getBanner(String all,HttpServletRequest request) {
		boolean flag=false;
		if(!Tools.StringIsEmpty(all)) {
			if(all.equals("true")) {
				flag=true;
			}
		}
		List<MBanner> list=bannerService.getBanner(flag);
		JSONObject json=new JSONObject();
		json.put("code", ModEnum.SUCCESS.code);
		json.put("msg", ModEnum.SUCCESS.msg);
		json.put("data", JSON.toJSON(list));
		return json.toString();
	}
}
