package com.yutou.utlis;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.apache.log4j.Logger;


public class Log {
	private static Logger logger=Logger.getLogger(Log.class);
	/**
	 * 错误输出
	 * @param str 正文
	 */
	public static void e(String str) {
		System.out.println(str);
		logger.error(str);
	}
	/**
	 * 普通输出
	 * @param str 正文
	 */
	public static void i(Object str) {
		System.out.println(str);
		logger.info(str);
	}

	/**
	 * 错误输出带标题
	 * @param title 标题
	 * @param str 正文
	 */
	public static void e(String title,String str) {
		System.out.println("["+title+"]"+str);
		logger.error("["+title+"]"+str);
	}
	/**
	 * 普通输出带标题
	 * @param title 标题
	 * @param str 正文
	 */
	public static void i(String title,String str) {
		System.out.println("["+title+"]"+str);
		logger.info("["+title+"]"+str);
	}
	/**
	 * 异常输出
	 * @param e 异常
	 * @param object 异常所在的类
	 * @return
	 */
	public static String printf_Error(Exception e,Object object) { 
		StringWriter writer=new StringWriter();
		PrintWriter printWriter=new PrintWriter(writer);
		e.printStackTrace(printWriter);
		logger.error("["+object.getClass().getName()+"]"+writer.toString());
		return "["+object.getClass().getName()+"]"+writer.toString();
	}
}